Subject: Re: [apps-discuss] OPS-DIR review of draft-ietf-appsawg-uri-scheme-reg-04

From: Dave Thaler <[email-masked]>
Date: Thu, 2 Apr 2015 18:48:55 +0000

Thanks Qin for your review.  Below is what we did in -05..

From: Qin Wu [mailto:[email-masked]]
Sent: Tuesday, March 3, 2015 4:07 AM
To: [email-masked]; [email-masked]
Subject: OPS-DIR review of draft-ietf-appsawg-uri-scheme-reg-04

Folks:

I have reviewed this document as part of the Operational directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written with the intent of improving the operational aspects of the IETF drafts. Comments that are not addressed in last call may be included in AD reviews during the IESG review.  Document editors and WG chairs should treat these comments just like any other last call comments.

This draft discusses Guidelines and Registration Procedures for URI Schemes. It looks Operations and Management Review Checklist defined in RFC5706 doesn't apply since there is no new protocol or protocol extension defined in this draft.

I think this draft is ready for publication. Here are a few editorial comments:

1.       Section 1, last two paragraphs
s/Interationalized/Internationalized
s/accomodate/accommodate

[DT] Done

2.       Section 1, last two paragraphs
It looks these two paragraphs more fit into Scheme definition requirements section, why split it out from section 3? would it be good to incorporate these two paragraphs into section 3, No,?

[DT] Done.

3.       Section 3, the 6th paragraph said:
"
The URI scheme name registration procedure can be used in such an event.
"

Pointing to section 7 would be good.

[DT] Done.  Martin Durst said the same in his review.

4.       Section 4 and 5

Are there guidelines for permanent URI Scheme Registration if there is permanent URI Scheme Registration? Or Permanent URI Scheme Registration can only be possible by upgrading provision URI Scheme Registration?

[DT] Not sure we parsed your question correctly, but as co-authors we discussed and believe the draft is already clear about a couple points:

1)      "Can you register a new permanent scheme, or must you go to provisional first?"  A: can go directly to permanent, as discussed in section 7.2 (intro sentence plus point 3).

2)      "Can you update an existing permanent scheme?" A: yes, as discussed in section 7.3.

-Qin

---

From: Qin Wu <[email-masked]>
Date: Mon, 13 Apr 2015 05:57:18 +0000

Thanks Dave for clarification, you address my comments.

-Qin
发件人: Dave Thaler [mailto:[email-masked]]
发送时间: 2015年4月3日 2:49
收件人: Qin Wu
抄送: [email-masked]; [email-masked]
主题: RE: OPS-DIR review of draft-ietf-appsawg-uri-scheme-reg-04

From: Qin Wu [mailto:[email-masked]]
Sent: Tuesday, March 3, 2015 4:07 AM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: OPS-DIR review of draft-ietf-appsawg-uri-scheme-reg-04

Folks:

[DT] Done

[DT] Done.

“
”

4.       Section 4 and 5

1)      “Can you register a new permanent scheme, or must you go to provisional first?”  A: can go directly to permanent, as discussed in section 7.2 (intro sentence plus point 3).

2)      “Can you update an existing permanent scheme?” A: yes, as discussed in section 7.3.

-Qin